Linux kysymyksiä

Juha Uotila

Moderator
Ylläpidon jäsen
Liittynyt
18.10.2016
Viestejä
4 587
Vau, Pop OS päivitti mun käytettyyn Lenovo G6 X1:seen myös firmwaren mm. Bioksen. Eli win alkaa olla entistä vähemmän tarpeen.
Lenovo on noita puskenut lvfs:n kautta jo yli vuoden, riippuen tietysti vähän koneen mallista.
 
Liittynyt
20.10.2016
Viestejä
3 198
Lenovo on tosiaan jo pitkään ollut Linux tukija laitevalmistajissa ja aikas heittämällä toimii lähes joka laitteessa. Omakin x260 mukavasti pyörittää OpenSuse Tumbleweed jakelua suoraan out-of-the-box.

Kyllähän Linux on nykypäivänä jo ihan toimiva käyttis peruskäyttäjällekin, mutta eräs ongelma on se, että kaikkialla vaan tungetaan sitä Windowsia ja monet ohjeistukset on yleensä vain sille Windowsille jne... Microsoft on saavuttanut sellaisen tason, että moni pitää sitä vakiona, kun tietokonetta käytetään, MacOS on sitten se toinen, mutta reippaasti pienempi käyttäjäkuntansa.
 
Liittynyt
23.10.2016
Viestejä
664
Miten ja millä ohjelmilla avaatte Linuxissa .HEIC valokuvat ja videot (siis iPhone tallenteet)? Olisi myös hyvä jos tiedostonhallinnassa saisi pikkukuvakkeet näkymään. Käytössä Ubuntu, mutta saa myös suositella muita distroja jos niissä parempi tuki noille valmiina.
 
Liittynyt
17.10.2016
Viestejä
1 500
Miten ja millä ohjelmilla avaatte Linuxissa .HEIC valokuvat ja videot (siis iPhone tallenteet)? Olisi myös hyvä jos tiedostonhallinnassa saisi pikkukuvakkeet näkymään. Käytössä Ubuntu, mutta saa myös suositella muita distroja jos niissä parempi tuki noille valmiina.
GIMP:iin ainakin näyttää olevan plugari jolla heif-formaatin tiedostot aukeavat.
 
Liittynyt
20.10.2016
Viestejä
3 198
Miten ja millä ohjelmilla avaatte Linuxissa .HEIC valokuvat ja videot (siis iPhone tallenteet)? Olisi myös hyvä jos tiedostonhallinnassa saisi pikkukuvakkeet näkymään. Käytössä Ubuntu, mutta saa myös suositella muita distroja jos niissä parempi tuki noille valmiina.
Liekkö tuosta apua? Kuvakkeet voipi olla ongelma saada toimimaan.

Ja varmaan MPV osaa näyttää videot, se tuntuu pyörittävän mitä vaan sille syöttää?

Ikävä kyllä en omista Applen vehkeitä, niin sen enempää ei pysty testailee...
 
Liittynyt
17.10.2016
Viestejä
1 675
Tuli Nvidian ajureiden kanssa vähän ongelmaa. Päivitin update managerin kautta eri paketteja ja samalla oli Nvidian pari päivitystä. Bootin jälkeen oli sitten uusi versio näyttisajurista (460.80) jonka totesin toimimattomaksi omalla koneella (ruudulle piirrettävälle kuvalle tapahtuu jotain mätää (jos ottaa screenshotteja niin ne ovat ihan normaaleja kun katsoo toisella koneella tai kun on bootannut) kun koneen herättää suspend tai hibernate tilasta). Lisäksi lokeissa jotain "NVRM Xid" virheviestejä. Ei yllätystä tässä, olen jo aiemmin kokeillut uudempaa ajuria (aikaisempaa .x-versiota) mutta se oli yllätys, että driver managerista lähti nyt pois valintamahdollisuus sille ajuriversiolle (450.119.03) joka toimii parhaiten (ongelmia on hardware acceleration enabled softien kanssa jonkun verran.. siksi välillä kokeilen uutta versiota). Kokeilin vielä uudempaa versiota (465.27) driver managerin kautta mutta silläkin oli ihan samat ongelmat (näyttäisi olevan Nvidian linux ajureitten kanssa monella ongelmia kun googlailin).

Yritin katsoa ohjeita miten vanhemman version saisi asennettua tilalle mutta päätin sitten Timeshiftillä palata parin päivän takaiseen snapshottiin (toimii muuten aika hyvin ja nopeasti!) ja latasin uudestaan softapäivitykset paitsi Nvidian.

Nyt driver manager yllättäen sanoo, että "Your computer does not need any additional drivers". En ole tuollaista vielä aiemmin nähnyt ollenkaan, aina on ollut jotain valintamahdollisuuksia Nvidialle. Pitää jatkossa muistaa aina snapshotata kun kokeilee uutta Nvidian ajuria.

Tuo uusi 460-ajuri näyttäisi olevan joku "security update", mutta sitä ei voi siis asentaa jos halua pitää vanhemman version (pitää laittaa ignore-listalle ettei mene vahingossa asennukseen). Tuon "nvidia-settings" paketin voi varmaan huoletta aina päivittää vaikka ajuria ei päivittäisikään?

Screenshot - Update Manager.png


Jossain vaiheessa tulevaisuudessa joutuu, tai voisi olla hyvä asentaa käyttis kokonaan uudestaan, miten vanhempaa Nvidian ajuria saa silloin asennettua? Onko jossain Mintin repossa kuinka vanhoja paketteja vai pitääkö ladata suoraan Nvidian sivuilta?

Kun oli vielä 460.80 ajuri asennettuna kokeilin komentoa apt install nvidia-driver-450 mutta en uskaltanut sitä vetää läpi kun katselin niitä paketteja mitä se meinasi asentaa niin siellä oli paljon 460 versiolla merkattuja paketteja (en tajunnut ottaa kuvakaappausta).

Nyt jos ajan tuon komennon kun on 450-ajuri asennettuna niin tulee tällainen lista:

Koodi:
Reading package lists... Done
Building dependency tree      
Reading state information... Done
The following packages were automatically installed and are no longer required:
  libnvidia-cfg1-450 libnvidia-common-450 libnvidia-compute-450 libnvidia-compute-450:i386 libnvidia-decode-450
  libnvidia-decode-450:i386 libnvidia-encode-450 libnvidia-encode-450:i386 libnvidia-extra-450 libnvidia-fbc1-450
  libnvidia-fbc1-450:i386 libnvidia-gl-450 libnvidia-gl-450:i386 libnvidia-ifr1-450 libnvidia-ifr1-450:i386
  nvidia-compute-utils-450 nvidia-dkms-450 nvidia-kernel-common-450 nvidia-kernel-source-450 nvidia-utils-450
  xserver-xorg-video-nvidia-450
Use 'sudo apt autoremove' to remove them.
The following additional packages will be installed:
  libnvidia-cfg1-450 libnvidia-cfg1-460 libnvidia-common-450 libnvidia-common-460 libnvidia-compute-450 libnvidia-compute-450:i386
  libnvidia-compute-460 libnvidia-compute-460:i386 libnvidia-decode-450 libnvidia-decode-450:i386 libnvidia-decode-460
  libnvidia-decode-460:i386 libnvidia-encode-450 libnvidia-encode-450:i386 libnvidia-encode-460 libnvidia-encode-460:i386
  libnvidia-extra-450 libnvidia-extra-460 libnvidia-fbc1-450 libnvidia-fbc1-450:i386 libnvidia-fbc1-460 libnvidia-fbc1-460:i386
  libnvidia-gl-450 libnvidia-gl-450:i386 libnvidia-gl-460 libnvidia-gl-460:i386 libnvidia-ifr1-450 libnvidia-ifr1-450:i386
  libnvidia-ifr1-460 libnvidia-ifr1-460:i386 nvidia-compute-utils-450 nvidia-compute-utils-460 nvidia-dkms-450 nvidia-dkms-460
  nvidia-driver-460 nvidia-kernel-common-450 nvidia-kernel-common-460 nvidia-kernel-source-450 nvidia-kernel-source-460
  nvidia-utils-450 nvidia-utils-460 xserver-xorg-video-nvidia-450 xserver-xorg-video-nvidia-460
The following NEW packages will be installed:
  libnvidia-cfg1-460 libnvidia-common-460 libnvidia-compute-460 libnvidia-compute-460:i386 libnvidia-decode-460
  libnvidia-decode-460:i386 libnvidia-encode-460 libnvidia-encode-460:i386 libnvidia-extra-460 libnvidia-fbc1-460
  libnvidia-fbc1-460:i386 libnvidia-gl-460 libnvidia-gl-460:i386 libnvidia-ifr1-460 libnvidia-ifr1-460:i386
  nvidia-compute-utils-460 nvidia-dkms-460 nvidia-driver-460 nvidia-kernel-common-460 nvidia-kernel-source-460 nvidia-utils-460
  xserver-xorg-video-nvidia-460
The following packages will be upgraded:
  libnvidia-cfg1-450 libnvidia-common-450 libnvidia-compute-450 libnvidia-compute-450:i386 libnvidia-decode-450
  libnvidia-decode-450:i386 libnvidia-encode-450 libnvidia-encode-450:i386 libnvidia-extra-450 libnvidia-fbc1-450
  libnvidia-fbc1-450:i386 libnvidia-gl-450 libnvidia-gl-450:i386 libnvidia-ifr1-450 libnvidia-ifr1-450:i386
  nvidia-compute-utils-450 nvidia-dkms-450 nvidia-driver-450 nvidia-kernel-common-450 nvidia-kernel-source-450 nvidia-utils-450
  xserver-xorg-video-nvidia-450
22 upgraded, 22 newly installed, 0 to remove and 2 not upgraded.
Need to get 0 B/175 MB of archives.
After this operation, 58,0 MB of additional disk space will be used.
Do you want to continue? [Y/n]
Kovin on sekavaa, taas paljon 460-ajuriversiopaketteja, en ymmärrä. Ja mites tuo "Use 'sudo apt autoremove' to remove them"? Tosi outoa kun esim. "xserver-xorg-video-nvidia-450" on "no longer required", "additional packages will be installed" ja "will be upgraded" listoilla. Tajuaako kukaan tästä mitään?

******************************************
EDIT: Toinen juttu, joudun tekemään pari muutosta /etc/UPower/UPower.conf tiedostoon ja pelkään, että joku päivitys saattaa ylikirjoittaa sen. Tuolle ei taida olla mitään ".conf.d" systeemiä (kuten esim. /etc/X11/xorg.conf.d/20-nvidia.conf)?
 
Viimeksi muokattu:
Liittynyt
05.01.2017
Viestejä
98
EDIT: Toinen juttu, joudun tekemään pari muutosta /etc/UPower/UPower.conf tiedostoon ja pelkään, että joku päivitys saattaa ylikirjoittaa sen. Tuolle ei taida olla mitään ".conf.d" systeemiä (kuten esim. /etc/X11/xorg.conf.d/20-nvidia.conf)?
Aseta tiedostolle immutable bit päälle niin sitä ei voi muokata. Komento chattr +i tiedosto muistaakseni. Attribuutteja voi katsella lsattr -komennolla. Tuossa on tietysti se, että ajan mittaan unohdat tuon muutoksen tehneesi ja joskus ihmettelet miksi tiedostoa ei voi muokata :)

Edit: Tietysti voit vain tehdä tiedostosta kopion ja palauttaa oman version jos joku ylikirjoittaa sen.
 
Liittynyt
17.10.2016
Viestejä
1 675
Tuossa on tietysti se, että ajan mittaan unohdat tuon muutoksen tehneesi ja joskus ihmettelet miksi tiedostoa ei voi muokata :)
Otan kaikki muokkaukset/ohjeet ylös Jopliniin (en toki jotain GUI:n kautta tehtyjä yksinkertaisia säätöjä) niin ei tarvitse yrittää muistaa kaikkea. Uudelleenasennuksessa on sitten kätevä käydä ohjeita läpi ja esim. kopipastettaa komentoja. :)

Edit: Tietysti voit vain tehdä tiedostosta kopion ja palauttaa oman version jos joku ylikirjoittaa sen.
Tämäkin kävi mielessä mutta jos siihen tulee jotain muutoksia/lisäyksiä niin ei ehkä paras tapa. Pitää varmaan sitten cronilla päivittäin ajaa joku "sed"-komento joka etsii ja muokkaa vaan ne tarvittavat rivit. Harmittavan sotkuinen ja buginen tilanne power asetuksien kanssa tässä Mintissä.
 
Toggle Sidebar

Statistiikka

Viestiketjut
131 524
Viestejä
2 554 999
Jäsenet
50 520
Uusin jäsen
Kertlund

Hinta.fi

Ylös Bottom